@import "../../../styles/styles.scss";

.input__label-container {
    display: block;
    width: 100%;
    height: 58px;
    position: relative;
    box-sizing: border-box;
    text-align: left;
    line-height: 1.34;
    font-size: 16px;
    border: none;

    @media (max-width: 1024px) {
        height: 52px;
    }

    @media (max-width: 620px) {
        font-size: 13px;
        height: 48px;
    }

   .input__label-text,
   .special-label {
        color: #b0b3b8;
        font-weight: normal;
        margin-left: 4px;
        border: none;
   } 

   .input__item-container {
        position: relative;
        border: none;

        .input__icon {
            position: absolute;
            right: 10px;
            top: 55%;
            transform: translateY(-50%);
        }
   }

    .input__item {
        width: 100%;
        height: 46px;
        padding: 10px;
        box-sizing: border-box;
        background-color: #3a3b3c;
        border: 1px solid #4A4A4A;
        border-radius: 6px;
        color: white;
        font-size: 17px;

        &::placeholder {
            color: #b0b3b8;
            font-size: 17px;
        };

        &:hover {
            border: 1px solid #828282;
        };

        &:focus,
        &:focus-visible,
        &:active {
            outline: 1px solid #3e93f8;
        }

        @media (max-width: 1024px) {
            height: 36px;
            font-size: 14px;
            padding: 0 10px;

            &::placeholder {
                font-size: 14px;
            }
        }

        @media (max-width: 620px) {
            font-size: 13px;
            height: 30px;

            &::placeholder {
                font-size: 13px;
            }
        }
    } 

    .input__item.light-theme {
        color: black;
        background-color: $white;
        border: 1px solid #dddfe2;    
    }

    .input__item.light-theme:active,
    .input__item.light-theme:focus,
    .input__item.light-theme:focus-visible {
        outline: 1px solid #3e93f8;
    }

    .input__has-validation {
        outline: 1px solid #FA383E;
    }

    .input__has-validation:active,
    .input__has-validation:focus,
    .input__has-validation:focus-visible {
        outline: 1px solid #FA383E;
    }

    .input__has-validation.light-theme:active,
    .input__has-validation.light-theme:focus,
    .input__has-validation.light-theme:focus-visible {
        outline: 1px solid #FA383E;
    }

    .input__error-message {        
        color: #FA383E;
        margin: 2px 10px;
        font-size: 14px; 

        @media (max-width: 1024px) {
            font-size: 12px; 
        } 
    }
}
